1. Subscriptions
My Project
    • 🐶 Walk through Apidog
    • Sample APIs
      • Find pet by ID
      • Add a new pet to the store
      • Update an existing pet
      • Deletes a pet
      • Finds Pets by status
    • Schemas
      • Sample Schemas
        • Pet
        • Category
        • Tag
  • Hisabin API V1
    • Authentication
      • Register a new user
      • Login with email and password
      • Refresh access token
      • Logout from current device
      • Logout from all devices
      • Request password reset
      • Reset password with token
      • Get current user info
    • Users
      • Get user profile
      • Update user profile
      • Update password
      • List registered devices
      • Remove a device
    • Portfolios
      • List all portfolios
      • Create a portfolio
      • Get a portfolio
      • Update a portfolio
      • Delete a portfolio
    • Accounts
      • List accounts in a portfolio
      • Create an account
      • Get an account
      • Update an account
      • Delete an account
    • Assets
      • List assets in a portfolio
      • Create an asset
      • Get an asset
      • Update an asset
      • Delete an asset
    • Loans
      • List loans in a portfolio
      • Create a loan
      • Get a loan
      • Update a loan
      • Delete a loan
    • Debts
      • List debts in a portfolio
      • Create a debt
      • Get a debt
      • Update a debt
      • Delete a debt
    • Heritages
      • List heritage plans in a portfolio
      • Create a heritage plan
      • Get a heritage plan
      • Update a heritage plan
      • Delete a heritage plan
    • Budgets
      • List budgets in a portfolio
      • Create a budget
      • Get a budget
      • Update a budget
      • Delete a budget
    • Goals
      • List goals in a portfolio
      • Create a goal
      • Get a goal
      • Update a goal
      • Delete a goal
    • Transactions
      • List all transactions
      • Create a transaction
      • List transactions for a specific account
      • Get a transaction
      • Update a transaction
      • Delete a transaction
      • Add attachment to transaction
      • Remove attachment from transaction
      • Create internal transfer between accounts
      • Get monthly transaction summary
    • External Accounts
      • List external accounts
      • Create external account
      • Get external account
      • Update external account
      • Delete external account
    • Subscriptions
      • List subscriptions
        GET
      • Create subscription
        POST
      • Get subscription summary
        GET
      • Get subscription details
        GET
      • Update subscription
        PATCH
      • Delete subscription
        DELETE
      • Pause subscription
        POST
      • Resume subscription
        POST
      • Cancel subscription
        POST
      • Record subscription payment
        POST
      • Skip subscription payment
        POST
      • List subscription payments
        GET
    • Schemas
      • Error
      • DeviceInfo
      • TokenResponse
      • UserPlan
      • User
      • AuthResponse
      • UserProfile
      • Device
      • Money
      • Portfolio
      • Account
      • Asset
      • Loan
      • Debt
      • Heritage
      • HeritageBeneficiary
      • HeritageAllocation
      • Budget
      • Goal
      • Transaction
      • Transfer
      • TransactionSummary
      • ExternalAccount
      • Subscription
      • SubscriptionPayment
      • SubscriptionSummary
  1. Subscriptions

Pause subscription

POST
/api/v1/portfolios/{portfolio_id}/subscriptions/{id}/pause
Pause an active subscription

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Responses

🟢200OK
application/json
Subscription paused
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/api/v1/portfolios//subscriptions//pause' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "success": true,
    "data": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "Netflix",
        "description": "string",
        "provider": "Netflix Inc.",
        "icon": "string",
        "amount": {
            "cents": 15000,
            "currency": "IDR",
            "formatted": "Rp150.00"
        },
        "billing_cycle": "monthly",
        "status": "active",
        "start_date": "2019-08-24",
        "next_billing_date": "2019-08-24",
        "end_date": "2019-08-24",
        "reminder_days": 3,
        "auto_renew": true,
        "is_due": true,
        "is_reminder_due": true,
        "monthly_cost": 0,
        "yearly_cost": 0,
        "account": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "string",
            "label": "string"
        },
        "category": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "name": "string",
            "icon": "string",
            "color": "string"
        },
        "created_at": "2019-08-24T14:15:22.123Z",
        "updated_at": "2019-08-24T14:15:22.123Z"
    }
}
Modified at 2025-12-03 16:47:21
Previous
Delete subscription
Next
Resume subscription
Built with